#!/usr/bin/perl

@languages = ("de","en","ro");


@files = ("exit","clear","name","download","upload","load","save");

@text = (	"Ende",		"Exit",		"Sfarsit",
		"Neu",		"New",		"Nou",
		"Name",		"Name",		"Nume",
		"Lesen",	"Upload",	"Incarca",
		"Schreiben",	"Download",	"Descarca",
		"Laden",	"Load",		"Deschide",
		"Speichern",	"Save",		"Salvare",
	"END");

@xpos60 = (30,36,54,36,32,32,32);
@xpos40 = (20,24,36,24,21,21,21);

$filenum=0;
foreach $file (@files)
{
	$sourcefile="action_".$file.".xpm";
	print "Source = $sourcefile \n";
	$li=0;
	foreach $lang (@languages)
	{
		$destfile = $file."_".$lang.".xpm";
		$instext  = $text[$filenum * 3 + $li];
		$position = $xpos60[$filenum];
		print "Dest   = $destfile ==> $instext \n";
		$textpar= "-font Helvetica-Narrow-Bold -pointsize 18 ";
		$draw = "text $position,22 \" $instext\"";
		$cmd = "convert $sourcefile -depth 8 $textpar -draw '$draw' ../pixmaps/buttons60/$destfile";
		$dummy = `$cmd`;

		$position = $xpos40[$filenum];
		$draw = "text $position,15 \" $instext\"";
		$textpar= "-font Helvetica-Narrow-Bold -pointsize 12 ";

		$cmd = "convert -unsharp 2x2 -depth 8 $sourcefile -resize 67% temp.xpm";
		$dummy = `$cmd`;
		$cmd = "convert temp.xpm -depth 8 $textpar -draw '$draw' ../pixmaps/buttons40/$destfile";
		$dummy = `$cmd`;

		$li++;
	}
	$filenum++;
}

@files = ("main","red","yellow","green","blue");

@text = (	"Hauptprogramm",	"Main program",		"Principala",
		"Rote Box",		"Red box",		"Cutie rosu",
		"Gelbe Box",		"Yellow box",		"Cutie galben",
		"Gruene Box",		"Green box",		"Cutie verde",
		"Blaue Box",		"Blue box",		"Cutie albastru",

	"END");

@xpos60 = (32,32,32,32,32);
@xpos40 = (21,21,21,21,21);

$filenum=0;
foreach $file (@files)
{
	$sourcefile1="box_".$file."_inactive.xpm";
	$sourcefile2="box_".$file."_active.xpm";
	print "Source = $sourcefile \n";
	$li=0;
	foreach $lang (@languages)
	{
		$destfile1 = "box_".$file."_inactive_".$lang.".xpm";
		$destfile2 = "box_".$file."_active_".$lang.".xpm";
		$instext  = $text[$filenum * 3 + $li];
		$position = $xpos60[$filenum];
		print "Dest   = $destfile ==> $instext \n";
		$textpar= "-font Helvetica-Narrow-Bold -pointsize 18 ";
		$draw = "text $position,22 \" $instext\"";
		$cmd = "convert $sourcefile1 -depth 8 $textpar -draw '$draw' ../pixmaps/buttons60/$destfile1";
		$dummy = `$cmd`;
		$cmd = "convert $sourcefile2 -depth 8 $textpar -draw '$draw' ../pixmaps/buttons60/$destfile2";
		$dummy = `$cmd`;


		$textpar= "-font Helvetica-Narrow-Bold -pointsize 12 ";
		$position = $xpos40[$filenum];
		$draw = "text $position,15 \" $instext\"";

		$cmd = "convert -unsharp 2x2 -depth 8 $sourcefile1 -resize 67% temp.xpm";
		$dummy = `$cmd`;
		$cmd = "convert temp.xpm -depth 8 $textpar -draw '$draw' ../pixmaps/buttons40/$destfile1";
		$dummy = `$cmd`;

		$cmd = "convert -unsharp 2x2 -depth 8 $sourcefile2 -resize 67% temp.xpm";
		$dummy = `$cmd`;
		$cmd = "convert temp.xpm -depth 8 $textpar -draw '$draw' ../pixmaps/buttons40/$destfile2";
		$dummy = `$cmd`;

		$li++;
	}
	$filenum++;
}


@files = ("yes","no");
@colors = ("#4ed54e","#FFF949");

@text = (	"Ja",	"Yes",	"Da",
		"Nein",	"No",	"Nu",
	"END");

$filenum=0;
foreach $file (@files)
{
	print "Source = $sourcefile \n";
	$li=0;
	foreach $lang (@languages)
	{
		$destfile = "ask_".$file."_".$lang.".xpm";
		$instext  = $text[$filenum * 3 + $li];
		$position = $xpos[$filenum];
		$bg=$colors[$filenum];
		print "Dest   = $destfile ==> $instext \n";
		$textpar= "-font Helvetica-Narrow-Bold -pointsize 24 -gravity center";
		$draw = "label:$instext";
		$cmd = "convert -size 120x54 -background $bg -depth 8 $textpar $draw ../pixmaps/buttons60/$destfile";
		$dummy = `$cmd`;

		$textpar= "-font Helvetica-Narrow-Bold -pointsize 16 -gravity center";
		$draw = "label:'$instext'";
		$cmd = "convert -size 80x36 -background '$bg' $textpar $draw ../pixmaps/buttons40/$destfile";
		$dummy = `$cmd`;

		$li++;
	}
	$filenum++;
}

@files = ("load","download","upload","start","abort","delete","rename");
@colors = ("#4ed54e","#4ed54e","#4ed54e","#4ed54e","#FFF949","#ffba9d","#4ed54e");

@text = (	"Laden",	"Load",		"Deschis",
		"Lesen",	"Download",	"Descarca",
		"Schreiben",	"Upload",	"Incarca",
		"Start",	"Start",	"Incepe",
		"Abbrechen",	"Abort",	"Avorta",
		"Loeschen",	"Delete",	"Sterge",
		"Umbenennen",	"Rename",	"Redenumiti",
		"END");

@wix = ("160","160","160","160","160","160","160");

$filenum=0;
foreach $file (@files)
{
	print "Source = $sourcefile \n";
	$li=0;
	foreach $lang (@languages)
	{
		$destfile = "button_".$file."_".$lang.".xpm";
		$instext  = $text[$filenum * 3 + $li];
		$position = $xpos[$filenum];
		$bg=$colors[$filenum];
		$wid=$wix[$filenum];
		print "Dest   = $destfile ==> $instext \n";
		$textpar= "-font Helvetica-Narrow-Bold -pointsize 24 -gravity center";
		$draw = "label:'$instext'";
		$cmd = "convert -size ".$wid."x44 -background '$bg' $textpar $draw ../pixmaps/buttons60/$destfile";
		$dummy = `$cmd`;

		$textpar= "-font Helvetica-Narrow-Bold -pointsize 16 -gravity center";
		$draw = "label:'$instext'";
		$cmd = "convert -size ".$wid."x30 -background '$bg' $textpar $draw ../pixmaps/buttons40/$destfile";
		$dummy = `$cmd`;

		$li++;
	}
	$filenum++;
}

@files = ("examples","fuses");
@colors = ("#FFF949","#FFF949");

@text = (	"Beispiele\ninstallieren",	"Install\nexamples",	"Instalati\nexemple",
		"Controller\neinrichten",	"Prepare\ncontroller",	"Pregatesc\ncontroller",
		"END");

@wix = ("160","160");

$filenum=0;
foreach $file (@files)
{
	print "Source = $sourcefile \n";
	$li=0;
	foreach $lang (@languages)
	{
		$destfile = "button_".$file."_".$lang.".xpm";
		$instext  = $text[$filenum * 3 + $li];
		$position = $xpos[$filenum];
		$bg=$colors[$filenum];
		$wid=$wix[$filenum];
		print "Dest   = $destfile ==> $instext \n";
		$textpar= "-font Helvetica-Narrow-Bold -pointsize 20 -gravity center";
		$draw = "label:'$instext'";
		$cmd = "convert -size ".$wid."x44 -background '$bg' $textpar $draw ../pixmaps/buttons60/$destfile";
		$dummy = `$cmd`;

		$textpar= "-font Helvetica-Narrow-Bold -pointsize 13 -gravity center";
		$draw = "label:'$instext'";
		$cmd = "convert -size ".$wid."x30 -background '$bg' $textpar $draw ../pixmaps/buttons40/$destfile";
		$dummy = `$cmd`;

		$li++;
	}
	$filenum++;
}
