#!/usr/bin/perl

open(DFILE,">../src/load_steps.c");

printf(DFILE "#if SIZE_TILE == 60\n");
for($ii=0;$ii<101;$ii++)
{
	$destfile = "step_".$ii.".xpm";
	printf(DFILE  "\t#include \"../pixmaps/steps60/$destfile\"\n");
}
for($ii=0;$ii<21;$ii++)
{
	$destfile = "cval_".$ii.".xpm";
	printf(DFILE  "\t#include \"../pixmaps/steps60/$destfile\"\n");
}
	printf(DFILE "#endif\n\n");

	printf(DFILE "#if SIZE_TILE == 40\n");
for($ii=0;$ii<101;$ii++)
{
	$destfile = "step_".$ii.".xpm";
	printf(DFILE  "\t#include \"../pixmaps/steps40/$destfile\"\n");
}
for($ii=0;$ii<21;$ii++)
{
	$destfile = "cval_".$ii.".xpm";
	printf(DFILE  "\t#include \"../pixmaps/steps40/$destfile\"\n");
}
	printf(DFILE "#endif\n\n\n");

	printf(DFILE  "void load_steps(GtkWidget * window)\n");
	printf(DFILE  "{\n");

for($ii=0;$ii<101;$ii++)
{
	$destfile = "step_".$ii;
	printf(DFILE  "\tstep_pixmap[$ii]=gdk_pixmap_create_from_xpm_d(window->window,\n");
	printf(DFILE  "\t\t&step_mask[$ii], &wstyle->bg[GTK_STATE_NORMAL],\n");
	printf(DFILE  "\t\t(gchar **) $destfile);\n\n");
}
for($ii=0;$ii<21;$ii++)
{
	$destfile = "cval_".$ii;
	printf(DFILE  "\tcval_pixmap[$ii]=gdk_pixmap_create_from_xpm_d(window->window,\n");
	printf(DFILE  "\t\t&cval_mask[$ii], &wstyle->bg[GTK_STATE_NORMAL],\n");
	printf(DFILE  "\t\t(gchar **) $destfile);\n\n");
}

	printf(DFILE  "}\n");
	close(DFILE);

for($ii=0;$ii<101;$ii++)
{
	$destfile = "step_".$ii.".xpm";
	$instext  = "   ".$ii;
	$instext=substr($instext,length($instext)-3,3);
}

