//################################################################################
//#                                                                              #
//# (c)2012-2013 Joerg Wolfram   joerg@jcwolfram.de                              #
//#                                                                              #
//# Dieses Programm ist freie Software. Sie können es unter den Bedingungen      #
//# der GNU General Public License, wie von der Free Software Foundation         #
//# veröffentlicht, weitergeben und/oder modifizieren, entweder gemäß            #
//# Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.        #
//#                                                                              #
//# Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, dass es       #
//# Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, auch ohne die     #
//# implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN          #
//# BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.      #
//#                                                                              #
//# Sie sollten ein Exemplar der GNU General Public License zusammen mit         #
//# diesem Programm erhalten haben. Falls nicht, schreiben Sie an die Free       #
//# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110,    #
//# USA.                                                                         #
//#                                                                              #
//# Jede Nutzung der Software/Informationen nonkonform zur GPL oder außerhalb    #
//# des Geltungsbereiches der GPL ist untersagt!                                 #
//#                                                                              #
//################################################################################

void generate_field(GtkTable *tab)
{
	int fld;
	div_t zeile;

	for(fld=0;fld<96;fld++)
	{
		field_pwid[fld] = gtk_pixmap_new( tiles_pixdat[0][0][0], tiles_mask[0][0][0]);
		gtk_widget_show( field_pwid[fld]);
		field_bwid[fld] = gtk_event_box_new();
		gtk_container_add( GTK_CONTAINER(field_bwid[fld]), field_pwid[fld] );
		gtk_container_set_border_width( GTK_CONTAINER(field_bwid[fld]), 0 );
		gtk_widget_show( field_bwid[fld] );

		//click
		gtk_signal_connect_object (GTK_OBJECT (field_bwid[fld]), "button_press_event",
		GTK_SIGNAL_FUNC (field_clicked), GINT_TO_POINTER(fld));

		//DND drop
		gtk_drag_dest_set(field_bwid[fld],GTK_DEST_DEFAULT_ALL,target_table,1,
		GDK_ACTION_COPY | GDK_ACTION_MOVE);
		gtk_signal_connect(GTK_OBJECT (field_bwid[fld]),"drag-drop",
		GTK_SIGNAL_FUNC (field_drop), GINT_TO_POINTER(fld));

		//DND drag (move)
		gtk_drag_source_set(field_bwid[fld],0,target_table,n_targets,
		GDK_ACTION_COPY | GDK_ACTION_MOVE);

		gtk_signal_connect_object (GTK_OBJECT (field_bwid[fld]), "drag-begin",
		GTK_SIGNAL_FUNC (field_drag), GINT_TO_POINTER(fld));

		zeile = div(fld,12);
		gtk_table_attach_defaults(tab,field_bwid[fld],zeile.rem, zeile.rem+1, zeile.quot, zeile.quot+1);
	}
}


