//################################################################################
//#                                                                              #
//# (c)2012-2013 Joerg Wolfram   joerg@jcwolfram.de                              #
//#                                                                              #
//# Dieses Programm ist freie Software. Sie können es unter den Bedingungen      #
//# der GNU General Public License, wie von der Free Software Foundation         #
//# veröffentlicht, weitergeben und/oder modifizieren, entweder gemäß            #
//# Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.        #
//#                                                                              #
//# Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, dass es       #
//# Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, auch ohne die     #
//# implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN          #
//# BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.      #
//#                                                                              #
//# Sie sollten ein Exemplar der GNU General Public License zusammen mit         #
//# diesem Programm erhalten haben. Falls nicht, schreiben Sie an die Free       #
//# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110,    #
//# USA.                                                                         #
//#                                                                              #
//# Jede Nutzung der Software/Informationen nonkonform zur GPL oder außerhalb    #
//# des Geltungsbereiches der GPL ist untersagt!                                 #
//#                                                                              #
//################################################################################
#if SIZE_TILE == 60
	#include "../pixmaps/adjust60/val_00.xpm"
	#include "../pixmaps/adjust60/val_01.xpm"
	#include "../pixmaps/adjust60/val_02.xpm"
	#include "../pixmaps/adjust60/val_03.xpm"
	#include "../pixmaps/adjust60/val_04.xpm"
	#include "../pixmaps/adjust60/val_05.xpm"
	#include "../pixmaps/adjust60/val_06.xpm"
	#include "../pixmaps/adjust60/val_07.xpm"
	#include "../pixmaps/adjust60/val_08.xpm"
	#include "../pixmaps/adjust60/val_09.xpm"
	#include "../pixmaps/adjust60/val_10.xpm"
	#include "../pixmaps/adjust60/val_11.xpm"
	#include "../pixmaps/adjust60/val_12.xpm"
	#include "../pixmaps/adjust60/val_13.xpm"
	#include "../pixmaps/adjust60/val_14.xpm"
	#include "../pixmaps/adjust60/val_15.xpm"
	#include "../pixmaps/adjust60/val_16.xpm"
	#include "../pixmaps/adjust60/val_17.xpm"
	#include "../pixmaps/adjust60/val_18.xpm"
	#include "../pixmaps/adjust60/val_19.xpm"
	#include "../pixmaps/adjust60/val_20.xpm"
	#include "../pixmaps/adjust60/val_-1.xpm"
	#include "../pixmaps/adjust60/val_-2.xpm"
	#include "../pixmaps/adjust60/val_-3.xpm"
	#include "../pixmaps/adjust60/val_-4.xpm"
	#include "../pixmaps/adjust60/val_-5.xpm"
	#include "../pixmaps/adjust60/val_-6.xpm"
	#include "../pixmaps/adjust60/val_-7.xpm"
	#include "../pixmaps/adjust60/val_-8.xpm"
	#include "../pixmaps/adjust60/val_-9.xpm"
	#include "../pixmaps/adjust60/val_A.xpm"
	#include "../pixmaps/adjust60/val_minus.xpm"
	#include "../pixmaps/adjust60/val_plus.xpm"
#endif

#if SIZE_TILE == 40
	#include "../pixmaps/adjust40/val_00.xpm"
	#include "../pixmaps/adjust40/val_01.xpm"
	#include "../pixmaps/adjust40/val_02.xpm"
	#include "../pixmaps/adjust40/val_03.xpm"
	#include "../pixmaps/adjust40/val_04.xpm"
	#include "../pixmaps/adjust40/val_05.xpm"
	#include "../pixmaps/adjust40/val_06.xpm"
	#include "../pixmaps/adjust40/val_07.xpm"
	#include "../pixmaps/adjust40/val_08.xpm"
	#include "../pixmaps/adjust40/val_09.xpm"
	#include "../pixmaps/adjust40/val_10.xpm"
	#include "../pixmaps/adjust40/val_11.xpm"
	#include "../pixmaps/adjust40/val_12.xpm"
	#include "../pixmaps/adjust40/val_13.xpm"
	#include "../pixmaps/adjust40/val_14.xpm"
	#include "../pixmaps/adjust40/val_15.xpm"
	#include "../pixmaps/adjust40/val_16.xpm"
	#include "../pixmaps/adjust40/val_17.xpm"
	#include "../pixmaps/adjust40/val_18.xpm"
	#include "../pixmaps/adjust40/val_19.xpm"
	#include "../pixmaps/adjust40/val_20.xpm"
	#include "../pixmaps/adjust40/val_-1.xpm"
	#include "../pixmaps/adjust40/val_-2.xpm"
	#include "../pixmaps/adjust40/val_-3.xpm"
	#include "../pixmaps/adjust40/val_-4.xpm"
	#include "../pixmaps/adjust40/val_-5.xpm"
	#include "../pixmaps/adjust40/val_-6.xpm"
	#include "../pixmaps/adjust40/val_-7.xpm"
	#include "../pixmaps/adjust40/val_-8.xpm"
	#include "../pixmaps/adjust40/val_-9.xpm"
	#include "../pixmaps/adjust40/val_A.xpm"
	#include "../pixmaps/adjust40/val_minus.xpm"
	#include "../pixmaps/adjust40/val_plus.xpm"
#endif


void load_adj_pixmaps(GtkWidget *window)
{
	int x;

	//0 empty
	x=0;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_A);

	x=1;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val__9);

	x=2;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val__8);

	x=3;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val__7);
	x=4;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val__6);
	x=5;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val__5);
	x=6;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val__4);
	x=7;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val__3);
	x=8;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val__2);
	x=9;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val__1);
	x=10;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_00);
	x=11;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_01);
	x=12;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_02);
	x=13;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_03);
	x=14;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_04);
	x=15;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_05);
	x=16;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_06);
	x=17;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_07);
	x=18;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_08);
	x=19;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_09);
	x=20;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_10);
	x=21;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_11);
	x=22;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_12);
	x=23;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_13);
	x=24;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_14);
	x=25;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_15);
	x=26;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_16);
	x=27;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_17);
	x=28;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_18);
	x=29;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_19);
	x=30;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_20);

	x=90;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_minus);
	x=91;
	adjust_pixdat[x]=gdk_pixmap_create_from_xpm_d( window-> window, &adjust_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)val_plus);

}


