;################################################################################
;#										#
;# copyright (c) 2006-2013 Joerg Wolfram (joerg@jcwolfram.de)			#
;#										#
;#										#
;# This program is free software; you can redistribute it and/or		#
;# modify it under the terms of the GNU General Public License			#
;# as published by the Free Software Foundation; either version 3		#
;# of the License, or (at your option) any later version.			#
;#										#
;# This program is distributed in the hope that it will be useful,		#
;# but WITHOUT ANY WARRANTY; without even the implied warranty of		#
;# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the GNU		#
;# General Public License for more details.					#
;#										#
;# You should have received a copy of the GNU General Public			#
;# License along with this library; if not, write to the			#
;# Free Software Foundation, Inc., 59 Temple Place - Suite 330,			#
;# Boston, MA 02111-1307, USA.							#
;#										#
;################################################################################

.if ctype == 8
;------------------------------------------------------------------------------
; erase one page
;------------------------------------------------------------------------------
mem_perase:	sts	autostart,const_1
		ldi	ZL,0x00
		ldi	ZH,0x01
;erase page
		ldi	XH,0x03			;page erase
mem_spm:	in	tempreg1,SPMCR
		sbrc	tempreg1,0
		rjmp	mem_spm
mem_spm1:	out	SPMCR,XH
		spm
mem_spm2:	in	tempreg1,SPMCR
		sbrc	tempreg1,0
		rjmp	mem_spm2

mem_waitrww:	in	tempreg1,SPMCR
		sbrs	tempreg1,6
		rjmp	mem_xt
		ldi	XH,0x11
		rcall	mem_spm
		rjmp	mem_waitrww

mem_xt:		ret
.endif

.if ctype == 88
;------------------------------------------------------------------------------
; erase one page
;------------------------------------------------------------------------------
mem_perase:	sts	autostart,const_1
		ldi	ZL,0x00
		ldi	ZH,0x01
;erase page
		ldi	XH,0x03			;page erase
mem_spm:	in	tempreg1,SPMCSR
		sbrc	tempreg1,0
		rjmp	mem_spm
mem_spm1:	out	SPMCSR,XH
		spm
mem_spm2:	in	tempreg1,SPMCSR
		sbrc	tempreg1,0
		rjmp	mem_spm2

mem_waitrww:	in	tempreg1,SPMCSR
		sbrs	tempreg1,6
		rjmp	mem_xt
		ldi	XH,0x11
		rcall	mem_spm
		rjmp	mem_waitrww

mem_xt:		ret
.endif


