//################################################################################
//#                                                                              #
//# (c)2012-2013 Joerg Wolfram   joerg@jcwolfram.de                              #
//#                                                                              #
//# Dieses Programm ist freie Software. Sie können es unter den Bedingungen      #
//# der GNU General Public License, wie von der Free Software Foundation         #
//# veröffentlicht, weitergeben und/oder modifizieren, entweder gemäß            #
//# Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.        #
//#                                                                              #
//# Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, dass es       #
//# Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, auch ohne die     #
//# implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN          #
//# BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.      #
//#                                                                              #
//# Sie sollten ein Exemplar der GNU General Public License zusammen mit         #
//# diesem Programm erhalten haben. Falls nicht, schreiben Sie an die Free       #
//# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110,    #
//# USA.                                                                         #
//#                                                                              #
//# Jede Nutzung der Software/Informationen nonkonform zur GPL oder außerhalb    #
//# des Geltungsbereiches der GPL ist untersagt!                                 #
//#                                                                              #
//################################################################################
void create_adjust_tile(GtkWidget *window)
{
	//the adjust icon left
	adjust_pwid = gtk_pixmap_new( tiles_pixdat[0][0][0], tiles_mask[0][0][0]);
	gtk_widget_show( adjust_pwid);
	adjust_bwid = gtk_event_box_new();
	gtk_container_add( GTK_CONTAINER(adjust_bwid), adjust_pwid );
	gtk_container_set_border_width( GTK_CONTAINER(adjust_bwid), 0 );
//	gtk_widget_show( adjust_bwid );

	//the - button
	adjust_minus_pwid = gtk_pixmap_new( adjust_pixdat[90], adjust_mask[90]);
	gtk_widget_show( adjust_minus_pwid);
	adjust_minus_bwid = gtk_button_new();
	gtk_container_add( GTK_CONTAINER(adjust_minus_bwid), adjust_minus_pwid );
	gtk_container_set_border_width( GTK_CONTAINER(adjust_minus_bwid), 0 );
	gtk_widget_show( adjust_minus_bwid );
	//click
	gtk_signal_connect_object (GTK_OBJECT (adjust_minus_bwid), "button_press_event",
	GTK_SIGNAL_FUNC (decrement_value),NULL);

	//the num field
	adjust_num_pwid = gtk_pixmap_new( adjust_pixdat[0], adjust_mask[0]);
	gtk_widget_show( adjust_num_pwid);
	adjust_num_bwid = gtk_event_box_new();
	gtk_container_add( GTK_CONTAINER(adjust_num_bwid), adjust_num_pwid );
	gtk_container_set_border_width( GTK_CONTAINER(adjust_num_bwid), 0 );
	gtk_widget_show( adjust_num_bwid );

	//the + button
	adjust_plus_pwid = gtk_pixmap_new( adjust_pixdat[91], adjust_mask[91]);
	gtk_widget_show( adjust_plus_pwid);
	adjust_plus_bwid = gtk_button_new();
	gtk_container_add( GTK_CONTAINER(adjust_plus_bwid), adjust_plus_pwid );
	gtk_container_set_border_width( GTK_CONTAINER(adjust_plus_bwid), 0 );
	gtk_widget_show( adjust_plus_bwid );
	//click
	gtk_signal_connect_object (GTK_OBJECT (adjust_plus_bwid), "button_press_event",
	GTK_SIGNAL_FUNC (increment_value),NULL);

	//the editable area
	adjust_info=gtk_label_new("Block Info");
	gtk_widget_show( adjust_info );
	adjust_edit=gtk_vbox_new(FALSE,0);
	adjust_edit2=gtk_hbox_new(FALSE,0);
	adjust_ask=gtk_hbox_new(FALSE,0);
	gtk_widget_show(adjust_edit);

	gtk_box_pack_start(GTK_BOX (adjust_edit2),adjust_minus_bwid,FALSE,FALSE,0);
	gtk_box_pack_start(GTK_BOX (adjust_edit2),adjust_num_bwid,FALSE,FALSE,0);
	gtk_box_pack_start(GTK_BOX (adjust_edit2),adjust_plus_bwid,FALSE,FALSE,0);

	gtk_box_pack_start(GTK_BOX (adjust_ask),tb_wid[30],FALSE,FALSE,6);
	gtk_box_pack_start(GTK_BOX (adjust_ask),tb_wid[31],FALSE,FALSE,6);

	gtk_box_pack_start(GTK_BOX (adjust_edit),adjust_edit2,FALSE,FALSE,0);

	gtk_box_pack_start(GTK_BOX (adjust_box),action_alignment[9],FALSE,FALSE,6);	//install examples
	gtk_box_pack_start(GTK_BOX (adjust_box),action_alignment[10],FALSE,FALSE,6);	//prepare chip
	gtk_box_pack_start(GTK_BOX (adjust_box),adjust_bwid,FALSE,FALSE,6);
	gtk_box_pack_start(GTK_BOX (adjust_box),adjust_edit,FALSE,FALSE,6);
	gtk_box_pack_start(GTK_BOX (adjust_box),adjust_info,FALSE,FALSE,6);
	gtk_box_pack_start(GTK_BOX (adjust_box),adjust_ask,FALSE,FALSE,6);

}
