//################################################################################
//#                                                                              #
//# (c)2012-2013 Joerg Wolfram   joerg@jcwolfram.de                              #
//#                                                                              #
//# Dieses Programm ist freie Software. Sie können es unter den Bedingungen      #
//# der GNU General Public License, wie von der Free Software Foundation         #
//# veröffentlicht, weitergeben und/oder modifizieren, entweder gemäß            #
//# Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.        #
//#                                                                              #
//# Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, dass es       #
//# Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, auch ohne die     #
//# implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN          #
//# BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.      #
//#                                                                              #
//# Sie sollten ein Exemplar der GNU General Public License zusammen mit         #
//# diesem Programm erhalten haben. Falls nicht, schreiben Sie an die Free       #
//# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110,    #
//# USA.                                                                         #
//#                                                                              #
//# Jede Nutzung der Software/Informationen nonkonform zur GPL oder außerhalb    #
//# des Geltungsbereiches der GPL ist untersagt!                                 #
//#                                                                              #
//################################################################################
#include "main.h"


void disconnect_action(void)
{
	int x;
	
	x=0;
	if(connect_ids[x] != 0)
	{
		gtk_signal_disconnect(GTK_OBJECT (action_button[x]),connect_ids[x]);
		connect_ids[x] = 0;
	}

	x=1;
	if(connect_ids[x] != 0)
	{
		gtk_signal_disconnect(GTK_OBJECT (action_button[x]),connect_ids[x]);
		connect_ids[x] = 0;
	}

	x=2;
	if(connect_ids[x] != 0)
	{
		gtk_signal_disconnect(GTK_OBJECT (action_button[x]),connect_ids[x]);
		connect_ids[x] = 0;
	}

	x=3;
	if(connect_ids[x] != 0)
	{
		gtk_signal_disconnect(GTK_OBJECT (action_button[x]),connect_ids[x]);
		connect_ids[x] = 0;
	}

	x=4;
	if(connect_ids[x] != 0)
	{
		gtk_signal_disconnect(GTK_OBJECT (action_button[x]),connect_ids[x]);
		connect_ids[x] = 0;
	}

	x=5;
	if(connect_ids[x] != 0)
	{
		gtk_signal_disconnect(GTK_OBJECT (action_button[x]),connect_ids[x]);
		connect_ids[x] = 0;
	}

	x=6;
	if(connect_ids[x] != 0)
	{
		gtk_signal_disconnect(GTK_OBJECT (action_button[x]),connect_ids[x]);
		connect_ids[x] = 0;
	}

	x=9;
	if(connect_ids[x] != 0)
	{
		gtk_signal_disconnect(GTK_OBJECT (action_button[x]),connect_ids[x]);
		connect_ids[x] = 0;
	}

	x=10;
	if(connect_ids[x] != 0)
	{
		gtk_signal_disconnect(GTK_OBJECT (action_button[x]),connect_ids[x]);
		connect_ids[x] = 0;
	}
}

//------------------------------------------------------------------------------
// key functions
//------------------------------------------------------------------------------
void action_abort( GtkWidget *widget,gpointer data)
{
	if(is_error < 2)
	{
		gtk_clist_clear(GTK_CLIST(action_clist));	//clear clist
		gtk_widget_hide(action_widget);			//hide the action buttons
		gtk_widget_hide(keyboard_widget);		//hide the keyboard
		gtk_widget_hide(action_scrollwin);		//hide the list
		load_field(selected_box);
		transfer_active = 0;
		gtk_widget_show(work_area);
		gtk_widget_show(tree_win);
		info_message(-1);
		disconnect_action();
	}
}


void action_load( GtkWidget *widget,gpointer data)
{
	gchar *tstring;
	int i;
	if(is_error < 2)
	{
		gtk_clist_get_text(GTK_CLIST(action_clist),action_entry,1,&tstring);
		if(tstring != NULL)
		{
			sprintf(sfile,"%s/%s.lblocks",prjdir,tstring);
			datei = fopen(sfile,"r");
			i=load_data();
			fclose (datei);
			selected_box=0;
			drag_element=99;
			last_clicked=255;
			sprintf(project_name,"%s",tstring);
			sprintf(wtitle,"%s - LBlocks (Version %d.%02d)",project_name,VERSION,SVERSION);
			gtk_window_set_title (GTK_WINDOW (window), wtitle);
			load_field(selected_box);
			transfer_active = 0;
			gtk_clist_clear(GTK_CLIST(action_clist));
			gtk_widget_hide(action_widget);			//hide the action buttons
			gtk_widget_hide(keyboard_widget);		//hide the keyboard
			gtk_widget_hide(action_scrollwin);		//hide the list
			gtk_widget_show(work_area);
			gtk_widget_show(tree_win);
			info_message(-1);
			disconnect_action();
		}
	}
}

void action_delete( GtkWidget *widget,gpointer data)
{
	if(is_error < 2)
	{
		ask_type = 4;
		question2(ASK_DELETE);
	}
}

void action_rename( GtkWidget *widget,gpointer data)
{
	if(is_error < 2)
	{
		gtk_widget_hide(action_widget);			//hide the action buttons
		gtk_widget_hide(keyboard_widget);		//hide the keyboard
		gtk_widget_hide(action_scrollwin);		//hide the list
		keyboard_string_len=strlen(keyboard_string);
		if(keyboard_string_len > 2)
		{
			keyboard_string[keyboard_string_len - 1] = 0;
			strcpy(project_name,keyboard_string+sizeof(char));
		}
		else
		{
			strcpy(project_name,"neu");
		}
		sprintf(wtitle,"%s - LBlocks (Version %d.%02d)",project_name,VERSION,SVERSION);
		gtk_window_set_title (GTK_WINDOW (window), wtitle);
		load_field(selected_box);
		transfer_active = 0;
		gtk_widget_show(work_area);
		gtk_widget_show(tree_win);
		info_message(-1);
		disconnect_action();
	}
}

void action_upload( GtkWidget *widget,gpointer data)
{
	int x;

	if(is_error < 2)
	{
		gtk_widget_hide(action_widget);			//hide the action buttons
		gtk_widget_hide(keyboard_widget);		//hide the keyboard
		gtk_widget_hide(action_scrollwin);		//hide the list
		active_program = action_entry;
		create_data(active_program);
		memdat[511] = 255;		//disable autostart
		x=upload();
		if(x > 0)
		{
			error_message(ERROR_PROGRAM);
			g_print("PROG ERRCODE %d\n",x);
		}
		load_field(selected_box);
		transfer_active = 0;
		gtk_widget_show(work_area);
		gtk_widget_show(tree_win);
		info_message(-1);
		disconnect_action();
	}
}

void action_start( GtkWidget *widget,gpointer data)
{
	int x;

	if(is_error < 2)
	{
		gtk_widget_hide(action_widget);			//hide the action buttons
		gtk_widget_hide(keyboard_widget);		//hide the keyboard
		gtk_widget_hide(action_scrollwin);		//hide the list
		active_program = action_entry;
		create_data(active_program);
		memdat[511] = active_program;		//set autostart
		x=upload();
		if(x > 0)
		{
			error_message(ERROR_PROGRAM);
			g_print("PROG ERRCODE %d\n",x);
		}
		load_field(selected_box);
		transfer_active = 0;
		gtk_widget_show(work_area);
		gtk_widget_show(tree_win);
		info_message(-1);
		disconnect_action();
	}
}

void action_download( GtkWidget *widget,gpointer data)
{
	if(is_error < 2)
	{
		gtk_widget_hide(action_widget);			//hide the action buttons
		gtk_widget_hide(keyboard_widget);		//hide the keyboard
		gtk_widget_hide(action_scrollwin);		//hide the list
		active_program = action_entry;
		readout_data(active_program);
		selected_box = 0;
		gtk_widget_show(tree_win);
		gtk_widget_show(work_area);
		load_field(selected_box);
		sprintf(wtitle,"%s - LBlocks (Version %d.%02d)",project_name,VERSION,SVERSION);
		gtk_window_set_title (GTK_WINDOW (window), wtitle);
		transfer_active = 0;
		info_message(-1);
		disconnect_action();
	}
}

void action_sel( GtkWidget *widget,gint row, gint column , GdkEventButton *event , gpointer   data )
{
	gchar *tstring;
	int i,pos;
	char filename_txt[1000];
	if(is_error < 2)
	{
		gtk_clist_get_text(GTK_CLIST(action_clist),row,1,&tstring);
		sprintf(sfile,"%s/%s.lblocks",prjdir,tstring);
		if(*tstring != '#')
		{
			action_entry=row;
		}
	}
}
