//################################################################################
//#                                                                              #
//# (c)2012-2013 Joerg Wolfram   joerg@jcwolfram.de                              #
//#                                                                              #
//# Dieses Programm ist freie Software. Sie können es unter den Bedingungen      #
//# der GNU General Public License, wie von der Free Software Foundation         #
//# veröffentlicht, weitergeben und/oder modifizieren, entweder gemäß            #
//# Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.        #
//#                                                                              #
//# Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, dass es       #
//# Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, auch ohne die     #
//# implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN          #
//# BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.      #
//#                                                                              #
//# Sie sollten ein Exemplar der GNU General Public License zusammen mit         #
//# diesem Programm erhalten haben. Falls nicht, schreiben Sie an die Free       #
//# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110,    #
//# USA.                                                                         #
//#                                                                              #
//# Jede Nutzung der Software/Informationen nonkonform zur GPL oder außerhalb    #
//# des Geltungsbereiches der GPL ist untersagt!                                 #
//#                                                                              #
//################################################################################

void generate_list(GtkWidget *window)
{
	int x,y;
	div_t position;

//	g_print("CREATE LIST\n");

	for(y=1;y<=ele_list[0];y++)
	{
		x=ele_list[y];
		position=div((y-1),2);
		if(position.rem == 0)
		{
			list_pack[position.quot]=gtk_hbox_new(FALSE,0);
			gtk_widget_show(list_pack[position.quot]);
		}
		
		list_pwid[x] = gtk_pixmap_new( tiles_pixdat[x][0][0], tiles_mask[x][0][0]);
		gtk_widget_show( list_pwid[x]);
		list_bwid[x] = gtk_button_new();
		gtk_container_add( GTK_CONTAINER(list_bwid[x]), list_pwid[x] );
		gtk_container_set_border_width( GTK_CONTAINER(list_bwid[x]), 0 );
		gtk_widget_show( list_bwid[x] );


		//DND drop
		gtk_drag_dest_set(list_bwid[x],GTK_DEST_DEFAULT_ALL,target_table,1,
		GDK_ACTION_COPY | GDK_ACTION_MOVE);
		gtk_signal_connect(GTK_OBJECT (list_bwid[x]),"drag-drop",
		GTK_SIGNAL_FUNC (list_drop), NULL);


		//DND drag
		gtk_drag_source_set(list_bwid[x],GDK_BUTTON1_MASK | GDK_BUTTON3_MASK,target_table,n_targets,
		GDK_ACTION_COPY | GDK_ACTION_MOVE);
		gtk_drag_source_set_icon(	list_bwid[x],
						gtk_widget_get_colormap(element_list),
						tiles_pixdat[x][0][0],
						tiles_mask[x][0][0]);

		gtk_signal_connect_object (GTK_OBJECT (list_bwid[x]), "drag-begin",
			GTK_SIGNAL_FUNC (list_drag),GINT_TO_POINTER(x));

		//click on
		gtk_signal_connect_object (GTK_OBJECT (list_bwid[x]), "clicked",
			GTK_SIGNAL_FUNC (list_clicked),GINT_TO_POINTER(x));


		gtk_box_pack_start (GTK_BOX (list_pack[position.quot]), list_bwid[x], FALSE, FALSE,0);

		if(position.rem == 1)
		{
			gtk_box_pack_start (GTK_BOX (element_list), list_pack[position.quot], FALSE, FALSE, 0);
		}
	}
//	gtk_widget_hide(list_pack[2]);
}





