#if SIZE_TILE == 60
	#include "../pixmaps/buttons60/button_load_de.xpm"
	#include "../pixmaps/buttons60/button_delete_de.xpm"
	#include "../pixmaps/buttons60/button_download_de.xpm"
	#include "../pixmaps/buttons60/button_upload_de.xpm"
	#include "../pixmaps/buttons60/button_abort_de.xpm"
	#include "../pixmaps/buttons60/button_start_de.xpm"
	#include "../pixmaps/buttons60/button_rename_de.xpm"
	#include "../pixmaps/buttons60/button_examples_de.xpm"
	#include "../pixmaps/buttons60/button_fuses_de.xpm"

	#include "../pixmaps/buttons60/button_load_en.xpm"
	#include "../pixmaps/buttons60/button_delete_en.xpm"
	#include "../pixmaps/buttons60/button_download_en.xpm"
	#include "../pixmaps/buttons60/button_upload_en.xpm"
	#include "../pixmaps/buttons60/button_abort_en.xpm"
	#include "../pixmaps/buttons60/button_start_en.xpm"
	#include "../pixmaps/buttons60/button_rename_en.xpm"
	#include "../pixmaps/buttons60/button_examples_en.xpm"
	#include "../pixmaps/buttons60/button_fuses_en.xpm"

	#include "../pixmaps/buttons60/button_load_ro.xpm"
	#include "../pixmaps/buttons60/button_delete_ro.xpm"
	#include "../pixmaps/buttons60/button_download_ro.xpm"
	#include "../pixmaps/buttons60/button_upload_ro.xpm"
	#include "../pixmaps/buttons60/button_abort_ro.xpm"
	#include "../pixmaps/buttons60/button_start_ro.xpm"
	#include "../pixmaps/buttons60/button_rename_ro.xpm"
	#include "../pixmaps/buttons60/button_examples_ro.xpm"
	#include "../pixmaps/buttons60/button_fuses_ro.xpm"

#endif

#if SIZE_TILE == 40
	#include "../pixmaps/buttons40/button_load_de.xpm"
	#include "../pixmaps/buttons40/button_delete_de.xpm"
	#include "../pixmaps/buttons40/button_download_de.xpm"
	#include "../pixmaps/buttons40/button_upload_de.xpm"
	#include "../pixmaps/buttons40/button_abort_de.xpm"
	#include "../pixmaps/buttons40/button_start_de.xpm"
	#include "../pixmaps/buttons40/button_rename_de.xpm"
	#include "../pixmaps/buttons40/button_examples_de.xpm"
	#include "../pixmaps/buttons40/button_fuses_de.xpm"

	#include "../pixmaps/buttons40/button_load_en.xpm"
	#include "../pixmaps/buttons40/button_delete_en.xpm"
	#include "../pixmaps/buttons40/button_download_en.xpm"
	#include "../pixmaps/buttons40/button_upload_en.xpm"
	#include "../pixmaps/buttons40/button_abort_en.xpm"
	#include "../pixmaps/buttons40/button_start_en.xpm"
	#include "../pixmaps/buttons40/button_rename_en.xpm"
	#include "../pixmaps/buttons40/button_examples_en.xpm"
	#include "../pixmaps/buttons40/button_fuses_en.xpm"

	#include "../pixmaps/buttons40/button_load_ro.xpm"
	#include "../pixmaps/buttons40/button_delete_ro.xpm"
	#include "../pixmaps/buttons40/button_download_ro.xpm"
	#include "../pixmaps/buttons40/button_upload_ro.xpm"
	#include "../pixmaps/buttons40/button_abort_ro.xpm"
	#include "../pixmaps/buttons40/button_start_ro.xpm"
	#include "../pixmaps/buttons40/button_rename_ro.xpm"
	#include "../pixmaps/buttons40/button_examples_ro.xpm"
	#include "../pixmaps/buttons40/button_fuses_ro.xpm"

#endif

	#include "../pixmaps/empty_mini.xpm"


#include "callbacks_action.h"
#include "lang_messages.h"

void load_action(GtkWidget *window)
{
	int x;

//	printf ("LOAD ACTION START\n");

	//Key 0 (abort)
	x=0;
	switch(language)
	{
		case 1:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_abort_en);
				break;

		case 2:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_abort_ro);
				break;

		default:	action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_abort_de);
	}
	action_pixwid[x]=gtk_pixmap_new( action_pixmap[x],action_mask[x] );
	gtk_widget_show( action_pixwid[x] );
	action_button[x] = gtk_button_new();
	gtk_container_add(GTK_CONTAINER(action_button[x]),action_pixwid[x]);
//	gtk_signal_connect_object (GTK_OBJECT (action_button[x]), "clicked",GTK_SIGNAL_FUNC (action_abort),NULL);
	action_alignment[x] = gtk_alignment_new(0.5,0.5,0,0);
	gtk_container_add(GTK_CONTAINER(action_alignment[x]),action_button[x]);
	gtk_widget_show(action_alignment[x]);
	gtk_widget_show(action_button[x]);

	//Key 1 (load)
	x=1;
	switch(language)
	{
		case 1:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_load_en);
				break;

		case 2:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_load_ro);
				break;

		default:	action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_load_de);
	}
	action_pixwid[x]=gtk_pixmap_new( action_pixmap[x],action_mask[x] );
	gtk_widget_show( action_pixwid[x] );
	action_button[x] = gtk_button_new();
	gtk_container_add(GTK_CONTAINER(action_button[x]),action_pixwid[x]);
//	gtk_signal_connect_object (GTK_OBJECT (action_button[x]), "clicked",GTK_SIGNAL_FUNC (action_load),NULL);
	action_alignment[x] = gtk_alignment_new(0.5,0.5,0,0);
	gtk_container_add(GTK_CONTAINER(action_alignment[x]),action_button[x]);
	gtk_widget_show(action_alignment[x]);
	gtk_widget_show(action_button[x]);


	//Key 2 (delete)
	x=2;
	switch(language)
	{
		case 1:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_delete_en);
				break;

		case 2:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_delete_ro);
				break;

		default:	action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_delete_de);
	}
	action_pixwid[x]=gtk_pixmap_new( action_pixmap[x],action_mask[x] );
	gtk_widget_show( action_pixwid[x] );
	action_button[x] = gtk_button_new();
	gtk_container_add(GTK_CONTAINER(action_button[x]),action_pixwid[x]);
//	gtk_signal_connect_object (GTK_OBJECT (action_button[x]), "clicked",GTK_SIGNAL_FUNC (action_delete),NULL);
	action_alignment[x] = gtk_alignment_new(0.5,0.5,0,0);
	gtk_container_add(GTK_CONTAINER(action_alignment[x]),action_button[x]);
	gtk_widget_show(action_alignment[x]);
	gtk_widget_show(action_button[x]);

	//Key 3 (upload)
	x=3;
	switch(language)
	{
		case 1:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_upload_en);
				break;

		case 2:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_upload_ro);
				break;

		default:	action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_upload_de);
	}
	action_pixwid[x]=gtk_pixmap_new( action_pixmap[x],action_mask[x] );
	gtk_widget_show( action_pixwid[x] );
	action_button[x] = gtk_button_new();
	gtk_container_add(GTK_CONTAINER(action_button[x]),action_pixwid[x]);
//	gtk_signal_connect_object (GTK_OBJECT (action_button[x]), "clicked",GTK_SIGNAL_FUNC (action_upload),NULL);
	action_alignment[x] = gtk_alignment_new(0.5,0.5,0,0);
	gtk_container_add(GTK_CONTAINER(action_alignment[x]),action_button[x]);
	gtk_widget_show(action_alignment[x]);
	gtk_widget_show(action_button[x]);

	//Key 4 (start)
	x=4;
	switch(language)
	{
		case 1:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_start_en);
				break;

		case 2:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_start_ro);
				break;

		default:	action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_start_de);
	}
	action_pixwid[x]=gtk_pixmap_new( action_pixmap[x],action_mask[x] );
	gtk_widget_show( action_pixwid[x] );
	action_button[x] = gtk_button_new();
	gtk_container_add(GTK_CONTAINER(action_button[x]),action_pixwid[x]);
//	gtk_signal_connect_object (GTK_OBJECT (action_button[x]), "clicked",GTK_SIGNAL_FUNC (action_start),NULL);
	action_alignment[x] = gtk_alignment_new(0.5,0.5,0,0);
	gtk_container_add(GTK_CONTAINER(action_alignment[x]),action_button[x]);
	gtk_widget_show(action_alignment[x]);
	gtk_widget_show(action_button[x]);

	//Key 5 (download)
	x=5;
	switch(language)
	{
		case 1:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_download_en);
				break;

		case 2:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_download_ro);
				break;

		default:	action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_download_de);
	}
	action_pixwid[x]=gtk_pixmap_new( action_pixmap[x],action_mask[x] );
	gtk_widget_show( action_pixwid[x] );
	action_button[x] = gtk_button_new();
	gtk_container_add(GTK_CONTAINER(action_button[x]),action_pixwid[x]);
//	gtk_signal_connect_object (GTK_OBJECT (action_button[x]), "clicked",GTK_SIGNAL_FUNC (action_download),NULL);
	action_alignment[x] = gtk_alignment_new(0.5,0.5,0,0);
	gtk_container_add(GTK_CONTAINER(action_alignment[x]),action_button[x]);
	gtk_widget_show(action_alignment[x]);
	gtk_widget_show(action_button[x]);

	//Key 6 (rename)
	x=6;
	switch(language)
	{
		case 1:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_rename_en);
				break;

		case 2:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_rename_ro);
				break;

		default:	action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_rename_de);
	}
	action_pixwid[x]=gtk_pixmap_new( action_pixmap[x],action_mask[x] );
	gtk_widget_show( action_pixwid[x] );
	action_button[x] = gtk_button_new();
	gtk_container_add(GTK_CONTAINER(action_button[x]),action_pixwid[x]);
//	gtk_signal_connect_object (GTK_OBJECT (action_button[x]), "clicked",GTK_SIGNAL_FUNC (action_rename),NULL);
	action_alignment[x] = gtk_alignment_new(0.5,0.5,0,0);
	gtk_container_add(GTK_CONTAINER(action_alignment[x]),action_button[x]);
	gtk_widget_show(action_alignment[x]);
	gtk_widget_show(action_button[x]);

	//image (previev)
	x=7;
	action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, &action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)empty_mini);
	action_pixwid[x]=gtk_pixmap_new( action_pixmap[x],action_mask[x] );
	gtk_widget_show( action_pixwid[x] );
	action_button[x] = gtk_event_box_new();
	gtk_container_add(GTK_CONTAINER(action_button[x]),action_pixwid[x]);
	gtk_widget_show( action_button[x] );
	action_alignment[x] = gtk_alignment_new(0.5,0.5,0,0);
	gtk_container_add(GTK_CONTAINER(action_alignment[x]),action_button[x]);
	gtk_widget_show(action_alignment[x]);

	//image 2 for lists
	x=8;
	action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, &action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],
	(gchar **)empty_mini);
	action_pixwid[x]=gtk_pixmap_new( action_pixmap[x],action_mask[x] );
	gtk_widget_show( action_pixwid[x] );
	action_button[x] = gtk_event_box_new();
	gtk_container_add(GTK_CONTAINER(action_button[x]),action_pixwid[x]);
	gtk_widget_show( action_button[x] );

	//Key 9 (install examples)
	x=9;
	switch(language)
	{
		case 1:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_examples_en);
				break;

		case 2:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_examples_ro);
				break;

		default:	action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_examples_de);
	}
	action_pixwid[x]=gtk_pixmap_new( action_pixmap[x],action_mask[x] );
	gtk_widget_show( action_pixwid[x] );
	action_button[x] = gtk_button_new();
	gtk_container_add(GTK_CONTAINER(action_button[x]),action_pixwid[x]);
//	gtk_signal_connect_object (GTK_OBJECT (action_button[x]), "clicked",GTK_SIGNAL_FUNC (install_examples),NULL);
	action_alignment[x] = gtk_alignment_new(0.5,0.5,0,0);
	gtk_container_add(GTK_CONTAINER(action_alignment[x]),action_button[x]);
	gtk_widget_show(action_alignment[x]);
	gtk_widget_show(action_button[x]);

	//Key 10 (prepare chip)
	x=10;
	switch(language)
	{
		case 1:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_fuses_en);
				break;

		case 2:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_fuses_ro);
				break;

		default:	action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_fuses_de);
	}
	action_pixwid[x]=gtk_pixmap_new( action_pixmap[x],action_mask[x] );
	gtk_widget_show( action_pixwid[x] );
	action_button[x] = gtk_button_new();
	gtk_container_add(GTK_CONTAINER(action_button[x]),action_pixwid[x]);
//	gtk_signal_connect_object (GTK_OBJECT (action_button[x]), "clicked",GTK_SIGNAL_FUNC (prepare_chip),NULL);
	action_alignment[x] = gtk_alignment_new(0.5,0.5,0,0);
	gtk_container_add(GTK_CONTAINER(action_alignment[x]),action_button[x]);
	gtk_widget_show(action_alignment[x]);
	gtk_widget_show(action_button[x]);

	//Key 11 (dummy widget for focus deposition)
	x=11;
	switch(language)
	{
		case 1:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_fuses_en);
				break;

		case 2:		action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_fuses_ro);
				break;

		default:	action_pixmap[x]=gdk_pixmap_create_from_xpm_d( window-> window, 
				&action_mask[x], &wstyle->bg[GTK_STATE_NORMAL],(gchar **)button_fuses_de);
	}
	action_pixwid[x]=gtk_pixmap_new( action_pixmap[x],action_mask[x] );
	gtk_widget_show( action_pixwid[x] );
	action_button[x] = gtk_button_new();
	gtk_container_add(GTK_CONTAINER(action_button[x]),action_pixwid[x]);
	action_alignment[x] = gtk_alignment_new(0.5,0.5,0,0);
	gtk_container_add(GTK_CONTAINER(action_alignment[x]),action_button[x]);
	gtk_widget_show(action_alignment[x]);
	gtk_widget_show(action_button[x]);



	action_action = gtk_vbox_new( FALSE , 0 );
	action_sep = gtk_vseparator_new();
	action_widget = gtk_hbox_new( FALSE , 0 );
	action_name = gtk_label_new("none");
	gtk_widget_show(action_action);
	gtk_widget_show(action_sep);
	gtk_widget_show(action_name);

	//vertical stacking
	gtk_box_pack_start (GTK_BOX (action_action), action_alignment[7], FALSE, FALSE, 10);	//image
	gtk_box_pack_start (GTK_BOX (action_action), action_name, FALSE, FALSE, 10);		//name
	gtk_box_pack_start (GTK_BOX (action_action), action_alignment[1], FALSE, FALSE, 4);	//load
	gtk_box_pack_start (GTK_BOX (action_action), action_alignment[2], FALSE, FALSE, 4);	//delete
	gtk_box_pack_start (GTK_BOX (action_action), action_alignment[3], FALSE, FALSE, 4);	//upload
	gtk_box_pack_start (GTK_BOX (action_action), action_alignment[4], FALSE, FALSE, 4);	//start
	gtk_box_pack_start (GTK_BOX (action_action), action_alignment[5], FALSE, FALSE, 4);	//download
	gtk_box_pack_start (GTK_BOX (action_action), action_alignment[6], FALSE, FALSE, 4);	//name
	gtk_box_pack_start (GTK_BOX (action_action), action_alignment[0], FALSE, FALSE, 8);	//abort

	gtk_box_pack_start (GTK_BOX (action_widget), action_action, FALSE, FALSE, 5);		//buttons
//	gtk_box_pack_start (GTK_BOX (action_widget), action_sep, FALSE, FALSE, 5);		//separator

//	printf ("LOAD ACTION END\n");
	action_scrollwin = gtk_scrolled_window_new(NULL,NULL);
	gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(action_scrollwin),GTK_POLICY_AUTOMATIC,GTK_POLICY_ALWAYS);
	action_clist = gtk_clist_new(2);
	gtk_clist_set_selection_mode( GTK_CLIST(action_clist) , GTK_SELECTION_BROWSE );
#if SIZE_TILE == 60
	gtk_clist_set_column_width( GTK_CLIST(action_clist) , 1 , 260);
	gtk_clist_set_column_width( GTK_CLIST(action_clist) , 0 , 150);
	gtk_clist_set_row_height( GTK_CLIST(action_clist) , 114);
	gtk_widget_set_usize(action_scrollwin,SIZE_TILE * 12 - 74,SIZE_TILE * 8);
	gtk_widget_set_usize(action_action,220,SIZE_TILE * 8);
#endif
#if SIZE_TILE == 40
	gtk_clist_set_column_width( GTK_CLIST(action_clist) , 1 , 260);
	gtk_clist_set_column_width( GTK_CLIST(action_clist) , 0 , 102);
	gtk_clist_set_row_height( GTK_CLIST(action_clist) , 76);
	gtk_widget_set_usize(action_scrollwin,SIZE_TILE * 12 - 43 ,SIZE_TILE * 8);
	gtk_widget_set_usize(action_action,180,SIZE_TILE * 8);
#endif
	gtk_widget_show( action_clist );
	gtk_container_add(GTK_CONTAINER(action_scrollwin),action_clist);
	gtk_signal_connect(GTK_OBJECT(action_clist),"select_row",GTK_SIGNAL_FUNC(action_sel),NULL);

}

void action_set_mode(int mode)
{
	if(mode != 5)
	{
#if SIZE_TILE == 60
	gtk_widget_set_usize(action_widget,230,480);
	gtk_widget_set_usize(action_action,220,SIZE_TILE * 8);
#endif
#if SIZE_TILE == 40
	gtk_widget_set_usize(action_widget,188,320);
	gtk_widget_set_usize(action_action,180,SIZE_TILE * 8);
#endif
	}

	switch(mode)
	{
	//load
	case 1:		gtk_widget_show(action_alignment[0]);
			gtk_widget_show(action_alignment[1]);
			gtk_widget_show(action_alignment[2]);
			gtk_widget_hide(action_alignment[3]);
			gtk_widget_hide(action_alignment[4]);
			gtk_widget_hide(action_alignment[5]);
			gtk_widget_hide(action_alignment[6]);
			gtk_widget_hide(action_alignment[9]);
			gtk_widget_hide(action_alignment[10]);
			gtk_widget_show(action_scrollwin);
			action_mode = ACTION_LOAD;
			info_message(action_mode);
			connect_ids[0] = gtk_signal_connect_object (GTK_OBJECT (action_button[0]),
				"clicked",GTK_SIGNAL_FUNC (action_abort),NULL);
			connect_ids[1] = gtk_signal_connect_object (GTK_OBJECT (action_button[1]),
				"clicked",GTK_SIGNAL_FUNC (action_load),NULL);
			connect_ids[2] = gtk_signal_connect_object (GTK_OBJECT (action_button[2]),
				"clicked",GTK_SIGNAL_FUNC (action_delete),NULL);
//			printf ("ACTION_LOAD\n");
			break;

	//name
	case 2:		gtk_widget_show(action_alignment[0]);
			gtk_widget_hide(action_alignment[1]);
			gtk_widget_hide(action_alignment[2]);
			gtk_widget_hide(action_alignment[3]);
			gtk_widget_hide(action_alignment[4]);
			gtk_widget_hide(action_alignment[5]);
			gtk_widget_show(action_alignment[6]);
			gtk_widget_hide(action_alignment[9]);
			gtk_widget_hide(action_alignment[10]);
			gtk_widget_show(keyboard_widget);
			action_mode = ACTION_NAME;
			info_message(action_mode);
			connect_ids[0] = gtk_signal_connect_object (GTK_OBJECT (action_button[0]),
				"clicked",GTK_SIGNAL_FUNC (action_abort),NULL);
			connect_ids[6] = gtk_signal_connect_object (GTK_OBJECT (action_button[6]),
				"clicked",GTK_SIGNAL_FUNC (action_rename),NULL);
//			printf ("ACTION_NAME\n");
			break;

	//upload
	case 3:		gtk_widget_show(action_alignment[0]);
			gtk_widget_hide(action_alignment[1]);
			gtk_widget_hide(action_alignment[2]);
			gtk_widget_show(action_alignment[3]);
			gtk_widget_show(action_alignment[4]);
			gtk_widget_hide(action_alignment[5]);
			gtk_widget_hide(action_alignment[6]);
			gtk_widget_hide(action_alignment[9]);
			gtk_widget_hide(action_alignment[10]);
			gtk_widget_show(action_scrollwin);
			action_mode = ACTION_UPLOAD;
			info_message(action_mode);
			connect_ids[0] = gtk_signal_connect_object (GTK_OBJECT (action_button[0]),
				"clicked",GTK_SIGNAL_FUNC (action_abort),NULL);
			connect_ids[3] = gtk_signal_connect_object (GTK_OBJECT (action_button[3]),
				"clicked",GTK_SIGNAL_FUNC (action_upload),NULL);
			connect_ids[4] = gtk_signal_connect_object (GTK_OBJECT (action_button[4]),
				"clicked",GTK_SIGNAL_FUNC (action_start),NULL);
//			printf ("ACTION_UPLOAD\n");
			break;

	//download
	case 4:		gtk_widget_show(action_alignment[0]);
			gtk_widget_hide(action_alignment[1]);
			gtk_widget_hide(action_alignment[2]);
			gtk_widget_hide(action_alignment[3]);
			gtk_widget_hide(action_alignment[4]);
			gtk_widget_show(action_alignment[5]);
			gtk_widget_hide(action_alignment[6]);
			gtk_widget_hide(action_alignment[9]);
			gtk_widget_hide(action_alignment[10]);
			gtk_widget_show(action_scrollwin);
			action_mode = ACTION_DOWNLOAD;
			info_message(action_mode);
			connect_ids[0] = gtk_signal_connect_object (GTK_OBJECT (action_button[0]),
				"clicked",GTK_SIGNAL_FUNC (action_abort),NULL);
			connect_ids[5] = gtk_signal_connect_object (GTK_OBJECT (action_button[5]),
				"clicked",GTK_SIGNAL_FUNC (action_download),NULL);
//			printf ("ACTION_DOWNLOAD\n");
			break;


	//intro
	case 5:		gtk_widget_hide(action_alignment[0]);
			gtk_widget_hide(action_alignment[1]);
			gtk_widget_hide(action_alignment[2]);
			gtk_widget_hide(action_alignment[3]);
			gtk_widget_hide(action_alignment[4]);
			gtk_widget_hide(action_alignment[5]);
			gtk_widget_hide(action_alignment[6]);
			gtk_widget_show(action_alignment[9]);
			gtk_widget_show(action_alignment[10]);
			connect_ids[9] = gtk_signal_connect_object (GTK_OBJECT (action_button[9]),
				"clicked",GTK_SIGNAL_FUNC (install_examples),NULL);
			connect_ids[10] = gtk_signal_connect_object (GTK_OBJECT (action_button[10]),
				"clicked",GTK_SIGNAL_FUNC (prepare_chip),NULL);
//			printf ("ACTION_INTRO\n");
			break;


	default:	gtk_widget_hide(action_alignment[0]);
			gtk_widget_hide(action_alignment[1]);
			gtk_widget_hide(action_alignment[2]);
			gtk_widget_hide(action_alignment[3]);
			gtk_widget_hide(action_alignment[4]);
			gtk_widget_hide(action_alignment[5]);
			gtk_widget_hide(action_alignment[6]);
			gtk_widget_show(action_widget);
	}
	if(mode != 5)
	{
		gtk_widget_hide(tree_win);
		gtk_widget_hide(work_area);
		gtk_widget_show(action_widget);
	}
}

/**
	connect_ids(0) = gtk_signal_connect_object (GTK_OBJECT (action_button[0]),
		"clicked",GTK_SIGNAL_FUNC (action_abort),NULL);
	connect_ids(1) = gtk_signal_connect_object (GTK_OBJECT (action_button[1]),
		"clicked",GTK_SIGNAL_FUNC (action_load),NULL);
	connect_ids(2) = gtk_signal_connect_object (GTK_OBJECT (action_button[2]),
		"clicked",GTK_SIGNAL_FUNC (action_delete),NULL);
	connect_ids(3) = gtk_signal_connect_object (GTK_OBJECT (action_button[3]),
		"clicked",GTK_SIGNAL_FUNC (action_upload),NULL);
	connect_ids(4) = gtk_signal_connect_object (GTK_OBJECT (action_button[4]),
		"clicked",GTK_SIGNAL_FUNC (action_start),NULL);
	connect_ids(5) = gtk_signal_connect_object (GTK_OBJECT (action_button[5]),
		"clicked",GTK_SIGNAL_FUNC (action_download),NULL);
	connect_ids(6) = gtk_signal_connect_object (GTK_OBJECT (action_button[6]),
		"clicked",GTK_SIGNAL_FUNC (action_rename),NULL);
	connect_ids(9) = gtk_signal_connect_object (GTK_OBJECT (action_button[9]),
		"clicked",GTK_SIGNAL_FUNC (install_examples),NULL);
	connect_ids(10) = gtk_signal_connect_object (GTK_OBJECT (action_button[10]),
		"clicked",GTK_SIGNAL_FUNC (prepare_chip),NULL);
**/